@layer utilities {
  @variants responsive {
    .truncate-1-line {
      overflow: hidden;
      text-overflow: ellipsis;
      display: block;
      -webkit-line-clamp: 1;
      -webkit-box-orient: vertical;
    }

    .truncate-2-line {
      overflow: hidden;
      text-overflow: ellipsis;
      display: -webkit-box;
      display: -moz-box;
      display: -ms-box;
      -webkit-line-clamp: 2;
      -webkit-box-orient: vertical;
    }

    .truncate-3-line {
      overflow: hidden;
      text-overflow: ellipsis;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
    }

    .truncate-5-line {
      overflow: hidden;
      text-overflow: ellipsis;
      display: -webkit-box;
      -webkit-line-clamp: 5;
      -webkit-box-orient: vertical;
    }

    .truncate-15-line {
      overflow: hidden;
      text-overflow: ellipsis;
      display: -webkit-box;
      -webkit-line-clamp: 15;
      -webkit-box-orient: vertical;
    }
  }
}
